Patchwork [meta-efl] layer.conf: Exclude some theme dependencies from siggen

login
register
mail settings
Submitter Martin Jansa
Date June 23, 2014, 11:08 a.m.
Message ID <1403521701-19861-1-git-send-email-Martin.Jansa@gmail.com>
Download mbox | patch
Permalink /patch/74241/
State Accepted, archived
Headers show

Comments

Martin Jansa - June 23, 2014, 11:08 a.m.
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta-efl/conf/layer.conf | 12 ++++++++++++
 1 file changed, 12 insertions(+)

Patch

diff --git a/meta-efl/conf/layer.conf b/meta-efl/conf/layer.conf
index 5ed7bd6..53f4ff4 100644
--- a/meta-efl/conf/layer.conf
+++ b/meta-efl/conf/layer.conf
@@ -11,3 +11,15 @@  BBFILE_PRIORITY_efl-layer = "7"
 E_MIRROR = "http://download.enlightenment.org/releases"
 E_RELEASES = "http://download.enlightenment.org/rel"
 E_SVN = "svn://svn.enlightenment.org/svn/e"
+
+# RDEPENDS on update-alternatives provider opkg-utils
+SIGGEN_EXCLUDE_SAFE_RECIPE_DEPS += "\
+  exquisite-theme-illume->opkg-utils \
+"
+
+# RDEPENDS on e-wm
+SIGGEN_EXCLUDE_SAFE_RECIPE_DEPS += "\
+  e-wm-theme-illume-efenniht->e-wm \
+  e-wm-theme-illume-neo->e-wm \
+  e-wm-theme-b-and-w->e-wm \
+"